/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/notifreqinfo.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  result := DBMS_XDB.createresource('/public/xxas/emp/view/notifreqinfo.xml',
'<View showSubmit="true" title="Notify requested information" defaultFormHandler="xxas_com_worklist_pkg.handle_reqinfo">
  <EditFields>
    <Hidden id="NOTIFICATION_ID" />
    <Poplist id="REQ_INFO_FROM" label="Choose Any User" listProvider="LOOKUP_TYPE:YES_NO" required="true"/>
    <Poplist id="WF_PARTICIPANT" label="Workflow Participant" listProvider="REST:wfparticipants/${field.NOTIFICATION_ID}" hideIf="!model.REQ_INFO_FROM.value || model.REQ_INFO_FROM.value.id == &apos;Y&apos;"/>
    <Combolist id="ASSIGNEE" label="Any User" listProvider="REST:wfroles?q={searchText}" longlist="true" hideIf="!model.REQ_INFO_FROM.value || model.REQ_INFO_FROM.value.id == &apos;N&apos;"/>
    <TextArea id="COMMENTS" label="Information Requested" required="true"/>
  </EditFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/notifreqinfo.xml');
END;
/
COMMIT;
EXIT;
